
/* DEFS: group RefineLB: CentralLB{
void RefineLB(void);
};
 */
#ifndef CK_TEMPLATES_ONLY
int CProxy_RefineLB::__idx=0;
#endif
#ifndef CK_TEMPLATES_ONLY
    void CProxy_RefineLB::__register(const char *s, size_t size) {
      __idx = CkRegisterChare(s, size);
  _REGISTER_BASE(__idx, CProxy_CentralLB::__idx);
    /* REG: void RefineLB(void);
*/
      __idx_RefineLB_void = CkRegisterEp("RefineLB", (CkCallFnPtr)_call_RefineLB_void, 0, __idx);
    }
#endif
#ifndef CK_TEMPLATES_ONLY
/* DEFS: void RefineLB(void);
 */
int CProxy_RefineLB::__idx_RefineLB_void=0;
CkGroupID CProxy_RefineLB::ckNew(void)
{
      void *msg = CkAllocSysMsg();
  return CkCreateGroup(__idx, __idx_RefineLB_void, msg, 0, 0);
}
CkGroupID CProxy_RefineLB::ckNewSync(void)
{
      void *msg = CkAllocSysMsg();
  return CkCreateGroupSync(__idx, __idx_RefineLB_void, msg);
}
  CProxy_RefineLB::CProxy_RefineLB(int retEP, CkChareID *cid)
{
      void *msg = CkAllocSysMsg();
  _ck_gid = CkCreateGroup(__idx, __idx_RefineLB_void, msg, retEP, cid);
  _setChare(0);
}
  CProxy_RefineLB::CProxy_RefineLB(void)
{
      void *msg = CkAllocSysMsg();
  _ck_gid = CkCreateGroup(__idx, __idx_RefineLB_void, msg, 0, 0);
  _setChare(0);
}
void CProxy_RefineLB::_call_RefineLB_void(void* msg, RefineLB* obj)
{
  new (obj) RefineLB();
  CkFreeSysMsg(msg);
}
#endif /*CK_TEMPLATES_ONLY*/

#ifndef CK_TEMPLATES_ONLY
void _registerRefineLB(void)
{
  static int _done = 0; if(_done) return; _done = 1;
      _registerCentralLB();

/* REG: group RefineLB: CentralLB{
void RefineLB(void);
};
*/
  CProxy_RefineLB::__register("RefineLB", sizeof(RefineLB));

}
#endif
